#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

EXO_LIBNAME=1
EXO_SOVERSION=0
EXO_SONAME=libexo-$(EXO_LIBNAME)-$(EXO_SOVERSION)

MSGFMT = /usr/bin/msgfmt --endianness little

%:
	dh $@ --parallel --with autoreconf

override_dh_autoreconf:
	mkdir -p m4
	NOCONFIGURE=1 dh_autoreconf xdt-autogen

override_dh_auto_configure:
	MSGFMT="$(MSGFMT)" dh_auto_configure -- --disable-gtk-doc --disable-silent-rules

override_dh_install:
	# Debianise
	sed -i -e 's/^WebBrowser=.*/WebBrowser=debian-sensible-browser/' \
		-e 's/TerminalEmulator=.*/TerminalEmulator=debian-x-terminal-emulator/' \
		debian/tmp/etc/xdg/xfce4/helpers.rc

	chrpath -d -k debian/tmp/usr/bin/exo-csource \
		debian/tmp/usr/bin/exo-desktop-item-edit \
		debian/tmp/usr/bin/exo-open \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/exo-$(EXO_LIBNAME)/exo-helper-$(EXO_LIBNAME) \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libexo-$(EXO_LIBNAME).so.*

	# Create a muttng helper from the mutt one
	sed -e 's/utt/uttng/;s/Icon=muttng/Icon=mutt/' \
		<debian/tmp/usr/share/xfce4/helpers/mutt.desktop \
		>debian/tmp/usr/share/xfce4/helpers/muttng.desktop

	dh_install --fail-missing -X .la

override_dh_strip:
	dh_strip -p $(EXO_SONAME) --dbg-package=$(EXO_SONAME)-dbg
	dh_strip -p exo-utils --dbg-package=exo-utils-dbg
	dh_strip --remaining-packages
